﻿using UnityEngine;
using System.Collections;

[RequireComponent(typeof(PlayerEffects))]
public class Air : MonoBehaviour {
	public float air = 30;
	public float maxAir = 30;
	public float regenSpeed = 3;
	public float decaySpeed = 1;
	PlayerEffects effects;
	public GUIStyle style;
	// Use this for initialization
	void Start () {
		effects = GetComponent<PlayerEffects>();
	}

	void OnGUI() {
		GUILayout.BeginArea(new Rect(50, 50, 500, 200));
		GUILayout.Label("<color=white>\"Fish Air\" :</color> " + air, style);
		GUILayout.EndArea();
	}

	// Update is called once per frame
	void Update () {
		if(effects.inWater)
			air = Mathf.Min(maxAir, air + regenSpeed *Time.deltaTime);
		else
			air = (air - decaySpeed * Time.deltaTime);

		if(air < 0) {
			Application.LoadLevel(Application.loadedLevel);
		}
			
	}

}
