﻿using UnityEngine;
using System.Collections;

[RequireComponent(typeof(AudioSource))]
public abstract class Boost : MonoBehaviour {
	public AudioSource pickup;

	public void Awake() {
		pickup = GetComponent<AudioSource>();
	}
	protected abstract void Effect(GameObject go);
	void OnTriggerEnter(Collider other) {
		if(other.tag == "Player") {
			other.gameObject.GetComponent<PlayerEffects>();
			if(pickup)
				pickup.Play();
			Effect(other.gameObject);
			Destroy(this.gameObject, 2f);
		}
	}
}
