﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class PlayerInputNameProvider : MonoBehaviour {

	public string playerName;

	private static IDictionary<string, string> conversions = new Dictionary<string, string>();
	void Awake() {
		conversions["Jump"] = "A";
		conversions["Horizontal"] = "L_XAxis";
		conversions["Vertical"] = "L_YAxis";
		conversions["Horizontal"] = "L_XAxis";
		conversions["Grab"] = "B";
		conversions["CamHorizontal"] = "R_XAxis";
	}
	
	public string Get(string input) {
		if(conversions.ContainsKey(input))
			input = conversions[input];
		
		return string.Format("{0}_{1}", input, playerName);
	}
}